commit 13cea2625edaeedd965f56986bb8eede70057006
Author: Iain Sandoe <iain@sandoe.co.uk>
Date:   Mon Nov 1 16:58:20 2021 +0000

    Darwin, crts: Fix a build warning.
    
    We have a shim crt for Darwin10 that implements functionality
    missing in libSystem. Provide this with a prototype to silence the
    warning about this.
    
    libgcc/ChangeLog:
    
            * config/darwin10-unwind-find-enc-func.c: Include libgcc_tm.h.
    
    Signed-off-by: Iain Sandoe <iain@sandoe.co.uk>
    (cherry picked from commit 7a300b413a62e1989bd89064fd5594aabe371d3a)

diff --git a/libgcc/config/darwin10-unwind-find-enc-func.c b/libgcc/config/darwin10-unwind-find-enc-func.c
index 67c43757e50..882ec3a2372 100644
--- a/libgcc/config/darwin10-unwind-find-enc-func.c
+++ b/libgcc/config/darwin10-unwind-find-enc-func.c
@@ -1,6 +1,7 @@
 #include "tconfig.h"
 #include "tsystem.h"
 #include "unwind-dw2-fde.h"
+#include "libgcc_tm.h"
 
 void *
 _darwin10_Unwind_FindEnclosingFunction (void *pc)

